
QGIS Application - Bug report #4525

Composer map rotation / items

2011-11-13 06:22 AM - Marco Hugentobler

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 14443

Description

Composer map printing wrong if rotation is set and canvas items are used

History

#1 - 2011-12-16 02:09 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-04-16 06:32 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#3 - 2012-09-04 11:55 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2014-04-06 06:03 AM - Jürgen Fischer

- Category changed from 33 to Map Composer/Printing

#5 - 2014-06-28 07:41 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2015-12-05 05:29 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

I think it is fixed (at least in QGIS 2.13). I can rotate anything in the composer (maps, symbols, etc.) and export to anything...

Can you confirm it ?

#7 - 2015-12-20 03:24 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback and as it seems fixed in recent qgis releases.
